INSERT INTO hl7_charset (id, display_name, hl7_code, java_code) VALUES (1,  'ASCII','ASCII', 'US-ASCII' );                                
INSERT INTO hl7_charset (id, display_name, hl7_code, java_code) VALUES (2,  'Latin alphabet No.1',	'8859/1'	,'ISO-8859-1');
INSERT INTO hl7_charset (id, display_name, hl7_code, java_code) VALUES (3,  'Latin alphabet No.2', 	'8859/2'	, 'ISO8859_2');
INSERT INTO hl7_charset (id, display_name, hl7_code, java_code) VALUES (4,  'Latin alphabet No.3', 	'8859/3'	, 'ISO8859_3');    
INSERT INTO hl7_charset (id, display_name, hl7_code, java_code) VALUES (5,  'Latin alphabet No.4', 	'8859/4'	, 'ISO8859_4');
INSERT INTO hl7_charset (id, display_name, hl7_code, java_code) VALUES (6,  'Latin/Cyrillic alphabet', 	'8859/5'	, 'ISO8859_5');
INSERT INTO hl7_charset (id, display_name, hl7_code, java_code) VALUES (7,  'Latin/Arabic alphabet', 	'8859/6'	, 'ISO8859_6');
INSERT INTO hl7_charset (id, display_name, hl7_code, java_code) VALUES (8,  'Latin/Greek alphabet', 	'8859/7'	, 'ISO8859_7');   
INSERT INTO hl7_charset (id, display_name, hl7_code, java_code) VALUES (9,  'Latin/Hebrew alphabet', 	'8859/8'	, 'ISO8859_8');
INSERT INTO hl7_charset (id, display_name, hl7_code, java_code) VALUES (10, 'Latin alphabet No.5', 	'8859/9'	, 'ISO8859_9');
INSERT INTO hl7_charset (id, display_name, hl7_code, java_code) VALUES (11, 'Japanese (JIS X 0201)', 	'ISO IR14', 'JIS0201' );
INSERT INTO hl7_charset (id, display_name, hl7_code, java_code) VALUES (12, 'Japanese (JIS X 0208)', 	'ISO IR87', 'JIS0208' );            
INSERT INTO hl7_charset (id, display_name, hl7_code, java_code) VALUES (13, 'Japanese (JIS X 0212)', 	'ISO IR159',  'JIS0212');       
INSERT INTO hl7_charset (id, display_name, hl7_code, java_code) VALUES (14, 'Chinese', 	'GB 18030-2000'	, 'EUC_CN');
INSERT INTO hl7_charset (id, display_name, hl7_code, java_code) VALUES (15, 'Korean', 	'KS X 1001'	, 'EUC_KR');
INSERT INTO hl7_charset (id, display_name, hl7_code, java_code) VALUES (16, 'Taiwanese', 	'CNS 11643-1992', 'EUC_TW');
INSERT INTO hl7_charset (id, display_name, hl7_code, java_code) VALUES (17, 'Taiwanese (BIG 5)', 'BIG-5', 'Big5');
INSERT INTO hl7_charset (id, display_name, hl7_code, java_code) VALUES (19, 'UTF-8', 		'UNICODE UTF-8' , 'UTF8'    ); 
INSERT INTO hl7_charset (id, display_name, hl7_code, java_code) VALUES (20, 'UTF-16', 		'UNICODE UTF-16', 'UTF-16');
INSERT INTO hl7_charset (id, display_name, hl7_code, java_code) VALUES (21, 'UTF-32', 		'UNICODE UTF-32', 'UTF-32');                                                                                                                                               

SELECT pg_catalog.setval('hl7_charset_id_seq', 21, true);
